USB_GET_DEV(9)

NAME
usb_get_dev - increments the reference count of the usb device structure

SYNOPSIS

struct usb_device * usb_get_dev(struct usb_device * dev);

ARGUMENTS

dev
    the device being referenced

DESCRIPTION

Each live reference to a device should be refcounted.

Drivers for USB interfaces should normally record such references in their probe methods, when they bind to an interface, and release them by calling usb_put_dev, in their disconnect methods.

RETURN

A pointer to the device with the incremented reference counter.

COPYRIGHT